/**
 * 阶段时限接口
 */
import request from '@/utils/request'

export function getCaseState() {
  return request({
    url: '/dict/code/caseState',
    method: 'get'
  })
}

export function getStateLimitList(params) {
  return request({
    url: '/stateLimit/listPage',
    method: 'get',
    params
  })
}

export function addStateLimit(params) {
  return request({
    url: '/stateLimit/add',
    method: 'post',
    params
  })
}

export function updateStateLimit(params) {
  return request({
    url: '/stateLimit/update',
    method: 'post',
    params
  })
}

export function deleteStateLimit(ids) {
  return request({
    url: '/stateLimit/delete',
    method: 'get',
    params: {
      ids: ids
    }
  })
}
